import React from "react"
export interface HamburgerMenuProps extends React.ComponentPropsWithRef<"div"> {
  setConfig: Function;
}

export function HamburgerMenu({ setConfig, className }: HamburgerMenuProps) {
  const languages = [
    {
      value: "es",
      label: "Español"
    },
    {
      value: "en",
      label: "English"
    }
  ]
  // const regions = [
  //   {
  //     value: "spain",
  //     label: "España"
  //   },
  //   {
  //     value: "UK",
  //     label: "United Kingdom"
  //   }
  // ]

  function handleLangChange(event: any) {
    setConfig((prev: any) => {
      return {
        ...prev,
        language: event.target.value
      }
    })
  }
  // function handleRegionChange(event:any) {
  //   setConfig(( prev:any ) => {
  //     return {
  //       ...prev,
  //       region: event.target.value
  //     }
  //   })
  // }
  return <div id="hamburger" className={className}>
    <select onChange={handleLangChange}>
      {languages.map((language) => <option value={language.value} key={language.value}>{language.label}</option>)}
    </select>
    {
      // <select onChange={handleRegionChange}>
      //   {regions.map((region) => <option value={region.value} key={region.value}>{region.label}</option>)}
      // </select>
    }
  </div>
}
