/** @type {import('tailwindcss').Config} */
export default {
  content: ["./dist/index.html", "./src/**/*.{js,ts,jsx,tsx}"],
  theme: {
    screens: {
      largeMobile: "390px",
      sm: "640px",
      md: "767px",
      lg: "1023px",
      xl: "1280px",
    },
    extend: {
      aspectRatio: {
        poster: "2 / 3",
      },
      keyframes: {
        blur: {
          "0%": { filter: "blur(10px)" },
          "100%": { filter: "blur(0px)" },
        },
      },
      animation: {
        blur: "blur 0.5s linear",
      },
    },
  },
  plugins: [],
};
